org.apache.poi.hssf.record

## Class LbsDataSubRecord.LbsDropData

- java.lang.Object
- - org.apache.poi.hssf.record.LbsDataSubRecord.LbsDropData

- All Implemented Interfaces:
    Duplicatable
  Enclosing class:
    LbsDataSubRecord

      public static class LbsDataSubRecord.LbsDropData
      extends java.lang.Object
      implements Duplicatable

  This structure specifies properties of the dropdown list control

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STYLE_COMBO_DROPDOWN` Combo dropdown control
    `static int` | `STYLE_COMBO_EDIT_DROPDOWN` Combo Edit dropdown control
    `static int` | `STYLE_COMBO_SIMPLE_DROPDOWN` Simple dropdown control (just the dropdown button)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LbsDropData()`
    `LbsDropData(LbsDataSubRecord.LbsDropData other)`
    `LbsDropData(LittleEndianInput in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LbsDataSubRecord.LbsDropData` | `copy()`
    `int` | `getDataSize()`
    `void` | `serialize(LittleEndianOutput out)`
    `void` | `setNumLines(int num)` Set the number of lines to be displayed in the dropdown.
    `void` | `setStyle(int style)` Set the style of this dropdown.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STYLE_COMBO_DROPDOWN

          public static final int STYLE_COMBO_DROPDOWN

      Combo dropdown control
      See Also:
        Constant Field Values

    - #### STYLE_COMBO_EDIT_DROPDOWN

          public static final int STYLE_COMBO_EDIT_DROPDOWN

      Combo Edit dropdown control
      See Also:
        Constant Field Values

    - #### STYLE_COMBO_SIMPLE_DROPDOWN

          public static final int STYLE_COMBO_SIMPLE_DROPDOWN

      Simple dropdown control (just the dropdown button)
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LbsDropData

          public LbsDropData()

    - #### LbsDropData

          public LbsDropData(LbsDataSubRecord.LbsDropData other)

    - #### LbsDropData

          public LbsDropData(LittleEndianInput in)

  - ### Method Detail

    - #### setStyle

          public void setStyle(int style)

      Set the style of this dropdown.

      Possible values:

      - 0: Combo dropdown control
      - 1: Combo Edit dropdown control
      - 2: Simple dropdown control (just the dropdown button)
      Parameters:
        `style` - the style - see possible values

    - #### setNumLines

          public void setNumLines(int num)

      Set the number of lines to be displayed in the dropdown.
      Parameters:
        `num` - the number of lines to be displayed in the dropdown

    - #### serialize

          public void serialize(LittleEndianOutput out)

    - #### getDataSize

          public int getDataSize()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### copy

          public LbsDataSubRecord.LbsDropData copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.